Bug 10142 - D Programming Language support
Summary: D Programming Language support
Status: RESOLVED FIXED
Alias: None
Product: gdb
Classification: Unclassified
Component: gdb (show other bugs)
Version: 6.8
: P2 enhancement
Target Milestone: 7.2
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-11 02:26 IST by John Doe
Modified: 2010-04-30 16:27 IST (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Doe 2009-05-11 02:26:59 IST
It would be great to have D Programming Language support directly in GDB.

There are already some patches that add D support to GDB so all is needed is to
apply the patch in upstream.

I think the patch may need some cleanup for inclusion (for example some comments
in new files say "C language support routines for GDB, the GNU debugger"), but I
open this issue so it's easier to keep track of it and to know what is needed to
get it included in GDB.

Here is the current patch:
http://www.dsource.org/projects/gdb-patches/browser/downloads/gdb6.8/gdb-6.8-d-2.patch
Comment 1 Tom Tromey 2009-05-11 16:36:00 IST
For a patch this size we would need copyright assignments from all
the authors of the patch.  I would suggest emailing the gdb list
and asking for the paperwork; one of the maintainers will get you started.

Also, send the patch to the gdb-patches list, as described here:
http://sourceware.org/cgi-bin/cvsweb.cgi/~checkout~/src/gdb/CONTRIBUTE?content-type=text/x-cvsweb-markup&cvsroot=src
gdb doesn't really use bugzilla for patch tracking, much.

I glanced quickly at the patch; it will need some reformatting and it will
need to be rebased to the current cvs.  It may require other changes, too,
but I didn't read that closely.
Comment 2 Leandro Lucarella 2009-07-24 00:46:29 IST
Hi. I'm still trying to track down the original author. I found that he wrote a
couple of mails to the GDB mailing list and touched the topic about copyright
assignment and he was OK with it then, see:

http://sourceware.org/ml/gdb-patches/2005-04/msg00074.html

The thread ends with Daniel Jacobowitz sending the papers to sign to the
original author (John Demme), but I don't know if the signature ever came back.
Is there any way to find out?
Comment 3 Tom Tromey 2009-08-07 00:17:37 IST
Ask on the gdb list, one of the maintainers will know how to find out.
Or, email the assignment clerk at the FSF.
Comment 4 Joel Brobecker 2010-01-09 13:12:35 IST
(In reply to comment #3)
> Ask on the gdb list, one of the maintainers will know how to find out.
> Or, email the assignment clerk at the FSF.

For the record:
I just double-checked, and assignment papers from John Demme were indeed filed.
Comment 5 Leandro Lucarella 2010-01-10 01:04:55 IST
Excelent. Mihail Zenkov told me he already signed the papers too, can you
confirm if the FSF received the signed papers from him too?

Thanks!
Comment 6 Leandro Lucarella 2010-04-23 02:57:02 IST
I contacted Mihail (the current mantainer of the patch) and he said he is still
working on the patch and he will be posting another version of it for review. It
would be nice to know if all the paperwork is finally sorted out.

Thanks.
Comment 7 Tom Tromey 2010-04-23 04:13:09 IST
The patch is currently being discussed (last couple of days)
on gdb-patches.  AFAIK all the paperwork is done.
Comment 8 Leandro Lucarella 2010-04-30 16:27:19 IST
The patch has been accepted and committed, thank to all people involved!